%global pypi_name virtualenv
Name:           python-%{pypi_name}
Version:        20.23.0
Release:        1
Summary:        A tool to create isolated Python environments
License:        MIT
URL:            http://pypi.python.org/pypi/virtualenv
Source0:        %{pypi_source %{pypi_name}}

BuildArch:      noarch
BuildRequires:  python3-distlib python3-filelock
BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:	python3-editables
BuildRequires:	python3-hatch-vcs
BuildRequires:	python3-hatchling

%description
Virtualenv is a tool to create isolated Python environments. Since Python
3.3, a subset of it has been integrated into the standard library under
the venv module. Note though, that the venv module does not offer all
features of this library (e.g. cannot create bootstrap scripts, cannot
create virtual environments for other python versions than the host python,
not relocatable, etc.). Tools in general as such still may prefer using
virtualenv for its ease of upgrading (via pip), unified handling of different
Python versions and some more advanced features.

%package -n     python3-virtualenv
Summary:        Tool to create isolated Python environments
Requires:       python3-setuptools
Requires:       python3-distlib python3-filelock
%{?python_provide:%python_provide python3-virtualenv}
Provides:       virtualenv = %{version}-%{release}
Requires:       python-pip-wheel python-setuptools-wheel python-wheel-wheel
Requires:       python3-distlib python3-filelock
Obsoletes:      python3-virtualenv-python26 < %{version}-%{release}

%description -n python3-%{pypi_name}
virtualenv support in python3.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%pyproject_build

%install
%pyproject_install
# revert the version.py content to origin sources
export ver_pyfile=$(find %{buildroot}%{python3_sitelib}/%{pypi_name} -name version.py)
sed -i "s/^version = /__version__ = version = /g" ${ver_pyfile}
sed -i "s/^version_tuple = /__version_tuple__ = version_tuple = /g" ${ver_pyfile} 

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/virtualenv
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}*.dist-info/

%changelog
* Sun Jun 4 2023 Dongxing Wang <dxwangk@isoftstone.com> - 20.23.0-1
- update version to 20.23.0

* Tue May 16 2023 shixuantong <shixuantong1@huawei.com> - 20.4.7-2
- remove python3-virtualenv-python26

* Thu Dec 09 2021 shixuantong <shixuantong@huawei.com> - 20.4.7-1
- update version to 20.4.7

* Thu Aug 05 2021 liusheng <liusheng2048@gmail.com> - 20.4.2-1
- Upgrade to version 20.4.2

* Wed Apr 28 2021 shixuantong<shixuantong@huawei.com> - 20.3.0-2
- add requires python3-appdirs python3-distlib python3-filelock

* Thu Jan 28 2021 liudabo <liudabo1@huawei.com> - 20.3.0-1
- upgrade version to 20.3.0

* Fri Jul 24 2020 shixuantong <shixuantong@huawei.com> - 20.0.27-1
- update to 20.0.27-1

* Thu Jun 4 2020 chengzihan <chengzihan2@huawei.com> 20.0.21-0
- Upgrade package to version 20.0.21

* Mon Dec 9 2019 openEuler Buildteam <buildteam@openeuler.org> - 16.0.0-6
- Package init
